Subject: [bug#67686] [PATCH core-updates v2 1/7] gnu: gcc@11: Update to 11.4.0.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Fri, 08 Dec 2023 18:39:35 +0100

Ludovic Courtès writes:

Hi,

With v2 of this series, after doing (define glibc/hurd glibc), 
trying to build a hurd-vm

    ./pre-inst-env guix system build --target=i586-pc-gnu gnu/system/examples/bare-hurd.tmpl

now fails building

    /gnu/store/4hf24xkj93zjbq9ymbzaprxh0myk975c-hurd-minimal-cross-i586-pc-gnu-v0.9.git20230216.drv

--8<---------------cut here---------------start------------->8---
i586-pc-gnu-gcc -std=gnu99 -fgnu89-inline -Wall -g -O3 -fno-strict-aliasing  -g -O2 -I.  -I..  -I../include -I../include -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64  -DPACKAGE_NAME=\"GNU\ Hurd\" -DPACKAGE_TARNAME=\"hurd\" -DPACKAGE_VERSION=\"0.9\" -DPACKAGE_STRING=\"GNU\ Hurd\ 0.9\" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"http://www.gnu.org/software/hurd/\" -DUTIME_NOW=-1 -DUTIME_OMIT=-2 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DX11_PREFIX=\"\" -DHAVE_STRUCT_THREAD_SCHED_INFO_LAST_PROCESSOR=1  -c -o wire.o wire.c
make[1]: *** No rule to make target 'mach/default_pager.h', needed by 'portinfo.o'.  Stop.
--8<---------------cut here---------------end--------------->8---

After upgrading hurd-headers to the latest tag, it fails building

    /gnu/store/5cw60kjg87zws8b39bnp7r7a8vgfhz2b-hurd-headers-cross-i586-pc-gnu-v0.9.git20230912.drv

in an even stranger way

--8<---------------cut here---------------start------------->8---
checking for libio... no
checking for file_exec_paths... (cached) no
checking for exec_exec_paths... (cached) no
checking for _hurd_exec_paths... (cached) no
checking for _hurd_libc_proc_init... (cached) no
checking for file_utimens... configure: error: link tests are not allowed after AC_NO_EXECUTABLES
--8<---------------cut here---------------end--------------->8---

...according to config.log the compiler it cannot find <stdio.h>.

This is just a heads-up, not sure if it has anything to do with this
series.  Possibly all hurd sources need to be updated nicely, dunno :)

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com